Package org.eclipse.lemminx.logs

## Class LogHelper

- java.lang.Object
- - org.eclipse.lemminx.logs.LogHelper

    public class LogHelper
    extends Object

LogHelper

### Constructor Summary

Constructors
`LogHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static LSPClientLogHandler` `getClientHandler​(org.eclipse.lsp4j.services.LanguageClient languageClient)`
`static FileHandler` `getFileHandler​(String filePath)`
`static void` `initializeRootLogger​(org.eclipse.lsp4j.services.LanguageClient newLanguageClient, LogsSettings settings)`
`static void` `unregisterAllHandlers​(Handler[] handlers)`
`static void` `unregisterHandler​(Handler handler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogHelper

    public LogHelper()

### Method Detail

#### initializeRootLogger

    public static void initializeRootLogger​(org.eclipse.lsp4j.services.LanguageClient newLanguageClient,
                                            LogsSettings settings)

#### getClientHandler

    public static LSPClientLogHandler getClientHandler​(org.eclipse.lsp4j.services.LanguageClient languageClient)

#### getFileHandler

    public static FileHandler getFileHandler​(String filePath)
                                      throws SecurityException,
                                             IOException

Throws:
  `SecurityException`
  `IOException`

#### unregisterHandler

    public static void unregisterHandler​(Handler handler)

#### unregisterAllHandlers

    public static void unregisterAllHandlers​(Handler[] handlers)